package com.jsowell.pile.service;

import com.jsowell.pile.domain.MemberInvoiceTitle;
import com.jsowell.pile.vo.uniapp.InvoiceTitleVO;

import java.util.List;

/**
 * 会员发票抬头Service接口
 *
 * @author jsowell
 * @date 2023-04-13
 */
public interface IMemberInvoiceTitleService {
	InvoiceTitleVO selectByTitleId(String titleId);

	/**
	 * 查询会员发票抬头
	 *
	 * @param id 会员发票抬头主键
	 * @return 会员发票抬头
	 */
	public MemberInvoiceTitle selectMemberInvoiceTitleById(Long id);

    List<MemberInvoiceTitle> selectMemberInvoiceTitleList(String memberId);

    /**
	 * 查询会员发票抬头列表
	 *
	 * @param memberInvoiceTitle 会员发票抬头
	 * @return 会员发票抬头集合
	 */
	public List<MemberInvoiceTitle> selectMemberInvoiceTitleList(MemberInvoiceTitle memberInvoiceTitle);

	/**
	 * 新增会员发票抬头
	 *
	 * @param memberInvoiceTitle 会员发票抬头
	 * @return 结果
	 */
	public int insertMemberInvoiceTitle(MemberInvoiceTitle memberInvoiceTitle);

	/**
	 * 修改会员发票抬头
	 *
	 * @param memberInvoiceTitle 会员发票抬头
	 * @return 结果
	 */
	public int updateMemberInvoiceTitle(MemberInvoiceTitle memberInvoiceTitle);

	/**
	 * 批量删除会员发票抬头
	 *
	 * @param ids 需要删除的会员发票抬头主键集合
	 * @return 结果
	 */
	public int deleteMemberInvoiceTitleByIds(Long[] ids);

	/**
	 * 删除会员发票抬头信息
	 *
	 * @param id 会员发票抬头主键
	 * @return 结果
	 */
	public int deleteMemberInvoiceTitleById(Long id);
}
